## deb-s3 0.11.3

=== debian/changelog ===
deb-s3 (0.11.3-3) bullseye; urgency=medium

  * Bumping version to deploy to new repo suite.

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Tue, 11 Oct 2022 11:06:55 +0100

deb-s3 (0.11.3-2) bullseye; urgency=medium

  * Add "clean" command to delete unreferenced packages from the pool.

  * Add dpkg invocation fix.

  * Add locking fixes from Yamashita, Yuu

 -- Daniel Collins <daniel.collins@solemnwarning.net>  Wed, 02 Jan 2022 22:26:57 +0000

deb-s3 (0.11.3-1) bullseye; urgency=medium

  * Initial import

 -- Daniel Collins <daniel.collins@solemnwarning.net>  Wed, 02 Jan 2022 21:41:11 +0000
